> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Brain Statements



## OpenAPI

````yaml /api/openapi.json post /api/brain/statements
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/brain/statements:
    post:
      tags:
        - Brain
      summary: Create Brain Statements
      operationId: create_brain_statements
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  scope:
                    def:
                      type: union
                      options:
                        - def:
                            type: literal
                            values:
                              - org
                          type: literal
                          values: {}
                        - def:
                            type: string
                            checks:
                              - {}
                          type: string
                    type: union
                    options:
                      - def:
                          type: literal
                          values:
                            - org
                        type: literal
                        values: {}
                      - def:
                          type: string
                          checks:
                            - {}
                        type: string
                  subjectId:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: uuid
                                check: string_format
                                abort: false
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  subjectIdentifier:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  property:
                    def:
                      type: string
                      checks:
                        - {}
                    type: string
                  objectId:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: uuid
                                check: string_format
                                abort: false
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  value:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: union
                          options:
                            - def:
                                type: string
                              type: string
                            - def:
                                type: number
                                checks: []
                              type: number
                              isFinite: true
                            - def:
                                type: boolean
                              type: boolean
                        type: union
                        options:
                          - def:
                              type: string
                            type: string
                          - def:
                              type: number
                              checks: []
                            type: number
                            isFinite: true
                          - def:
                              type: boolean
                            type: boolean
                    type: optional
                  factText:
                    def:
                      type: string
                      checks:
                        - {}
                    type: string
                  confidence:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: number
                          checks:
                            - {}
                            - {}
                        type: number
                        isFinite: true
                    type: optional
                  validFrom:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: datetime
                                check: string_format
                                offset: false
                                local: false
                                precision: null
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  validTo:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: datetime
                                check: string_format
                                offset: false
                                local: false
                                precision: null
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                checks:
                  - def:
                      type: custom
                      check: custom
                    type: custom
                  - def:
                      type: custom
                      check: custom
                    type: custom
              type: object
          multipart/form-data:
            schema:
              def:
                type: object
                shape:
                  scope:
                    def:
                      type: union
                      options:
                        - def:
                            type: literal
                            values:
                              - org
                          type: literal
                          values: {}
                        - def:
                            type: string
                            checks:
                              - {}
                          type: string
                    type: union
                    options:
                      - def:
                          type: literal
                          values:
                            - org
                        type: literal
                        values: {}
                      - def:
                          type: string
                          checks:
                            - {}
                        type: string
                  subjectId:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: uuid
                                check: string_format
                                abort: false
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  subjectIdentifier:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  property:
                    def:
                      type: string
                      checks:
                        - {}
                    type: string
                  objectId:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: uuid
                                check: string_format
                                abort: false
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  value:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: union
                          options:
                            - def:
                                type: string
                              type: string
                            - def:
                                type: number
                                checks: []
                              type: number
                              isFinite: true
                            - def:
                                type: boolean
                              type: boolean
                        type: union
                        options:
                          - def:
                              type: string
                            type: string
                          - def:
                              type: number
                              checks: []
                            type: number
                            isFinite: true
                          - def:
                              type: boolean
                            type: boolean
                    type: optional
                  factText:
                    def:
                      type: string
                      checks:
                        - {}
                    type: string
                  confidence:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: number
                          checks:
                            - {}
                            - {}
                        type: number
                        isFinite: true
                    type: optional
                  validFrom:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: datetime
                                check: string_format
                                offset: false
                                local: false
                                precision: null
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  validTo:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: datetime
                                check: string_format
                                offset: false
                                local: false
                                precision: null
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                checks:
                  - def:
                      type: custom
                      check: custom
                    type: custom
                  - def:
                      type: custom
                      check: custom
                    type: custom
              type: object
          text/plain:
            schema:
              def:
                type: object
                shape:
                  scope:
                    def:
                      type: union
                      options:
                        - def:
                            type: literal
                            values:
                              - org
                          type: literal
                          values: {}
                        - def:
                            type: string
                            checks:
                              - {}
                          type: string
                    type: union
                    options:
                      - def:
                          type: literal
                          values:
                            - org
                        type: literal
                        values: {}
                      - def:
                          type: string
                          checks:
                            - {}
                        type: string
                  subjectId:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: uuid
                                check: string_format
                                abort: false
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  subjectIdentifier:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  property:
                    def:
                      type: string
                      checks:
                        - {}
                    type: string
                  objectId:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: uuid
                                check: string_format
                                abort: false
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  value:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: union
                          options:
                            - def:
                                type: string
                              type: string
                            - def:
                                type: number
                                checks: []
                              type: number
                              isFinite: true
                            - def:
                                type: boolean
                              type: boolean
                        type: union
                        options:
                          - def:
                              type: string
                            type: string
                          - def:
                              type: number
                              checks: []
                            type: number
                            isFinite: true
                          - def:
                              type: boolean
                            type: boolean
                    type: optional
                  factText:
                    def:
                      type: string
                      checks:
                        - {}
                    type: string
                  confidence:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: number
                          checks:
                            - {}
                            - {}
                        type: number
                        isFinite: true
                    type: optional
                  validFrom:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: datetime
                                check: string_format
                                offset: false
                                local: false
                                precision: null
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                  validTo:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - def:
                                type: string
                                format: datetime
                                check: string_format
                                offset: false
                                local: false
                                precision: null
                                pattern: {}
                              type: string
                        type: string
                    type: optional
                checks:
                  - def:
                      type: custom
                      check: custom
                    type: custom
                  - def:
                      type: custom
                      check: custom
                    type: custom
              type: object
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````